%define name seahorse
%define version 0.9.5
%define release %mkrel 1
%define major 0
%define libname %mklibname %name %major

Name:		%{name}
Summary:	Seahorse is a GNOME2 frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		http://ftp.gnome.org/pub/GNOME/sources/seahorse/%{name}-%{version}.tar.bz2
Patch: seahorse-0.9.0-makefile.patch.bz2
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  gpgme-devel >= 1.0.0
BuildRequires:  gedit-devel
BuildRequires: libnautilus-devel
BuildRequires: scrollkeeper
BuildRequires: libnotify-devel
BuildRequires: gnome-panel-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: ImageMagick
BuildRequires: libxslt-proc
BuildRequires: desktop-file-utils
Obsoletes:	seahorse2
Provides:	seahorse2
Requires(post): scrollkeeper,shared-mime-info,desktop-file-utils
Requires(postun):scrollkeeper,shared-mime-info,desktop-file-utils

%description
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided. 
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%package -n %libname
Group: System/Libraries
Summary: Seahorse libraries

%description -n %libname
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided. 
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%package -n %libname-devel
Group: Development/C
Summary: Seahorse libraries
Requires: %libname = %version
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided. 
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep

%setup -q

%patch -p1 -b .makefile
aclocal-1.9
automake-1.9 -a -c
autoconf

%build
export CPPFLAGS=-DLIBCRYPTUI_API_SUBJECT_TO_CHANGE
%configure2_5x --enable-fast-install

make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false
rm -f %buildroot%_libdir/libseahorse*{a,so}

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/seahorse" needs="X11" \
icon="seahorse.png" section="System/File Tools" \
title="GPG Keys Manager" longtitle="Manage your GPG keys" xdg="true"
?package(%name): command="%_bindir/seahorse-preferences" needs="gnome" \
icon="seahorse.png" section="Configuration/GNOME/Advanced" \
title="PGP Preferences" longtitle="Configure PGP" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Advanced" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/seahorse.desktop
desktop-file-install --vendor="" \
  --remove-category="Advanced" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-preferences.desktop


mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32 pixmaps/48x48/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 pixmaps/48x48/%name.png %buildroot%_miconsdir/%name.png

%{find_lang} seahorse --with-gnome
%{find_lang} seahorse-applet --with-gnome
cat seahorse-applet.lang >> seahorse.lang

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/{nautilus/extensions-1.0,gedit-2/plugins}/*.{la,a}
 
%post
%{update_menus}
%define schemas seahorse-gedit seahorse
%post_install_gconf_schemas %schemas
%update_mime_database
%update_desktop_database
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus} 
%clean_mime_database
%clean_desktop_database
%clean_icon_cache hicolor
%clean_scrollkeeper

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root,0755)
%_libdir/*.so
%_libdir/*.a
%attr(644,root,root) %_libdir/*.la
%_includedir/*
%_libdir/pkgconfig/*.pc

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/seahorse.schemas
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%{_bindir}/%name
%{_bindir}/seahorse-preferences
%{_bindir}/seahorse-tool
%attr(4755,root,root) %{_bindir}/seahorse-daemon
%_mandir/man1/*
%{_libdir}/%name/
%{_libdir}/gedit-2/plugins/*
%_libdir/nautilus/extensions-1.0/libnautilus-seahorse.so
%_datadir/mime/packages/%name.xml
%{_datadir}/applications/seahorse.desktop
%{_datadir}/applications/seahorse-pgp-encrypted.desktop
%{_datadir}/applications/seahorse-pgp-keys.desktop
%{_datadir}/applications/seahorse-pgp-signature.desktop
%{_datadir}/applications/seahorse-pgp-preferences.desktop
%dir %{_datadir}/omf/seahorse/
%_datadir/pixmaps/*
%{_datadir}/omf/seahorse/seahorse-C.omf
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/seahorse/glade/*
%_datadir/dbus-1/services/*
%_libexecdir/seahorse-applet
%_libdir/bonobo/servers/*
%_datadir/gnome-2.0/ui/*.xml
%_datadir/icons/hicolor/*/apps/*
%dir %_datadir/omf/seahorse-applet/
%_datadir/omf/seahorse-applet/*-C.omf
%{_menudir}/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- drop patch 1
- New version 0.9.5

* Mon Sep 11 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdv2007.0
- fix build
- patch for new gedit
- New version 0.9.4

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- update file list
- drop merged patch 1
- New release 0.9.3

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2.1-3mdv2007.0
- patch 1: fix syntax error in schemas file

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2.1-2mdv2007.0
- add missing update-desktop-database call
- fix menu categories

* Thu Aug 17 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2.1-1mdv2007.0
- xdg menu
- new macros
- update file list
- New release 0.9.2.1

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-3mdk
- Fix BuildRequires

* Sat Apr 15 2006 Gtz Waschk <waschk@mandriva.org> 0.9.1-2mdk
- fix buildrequires

* Sat Apr 15 2006 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- update file list
- handle scrollkeeper stuff
- New release 0.9.1

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- update file list
- update deps
- rediff the patch
- New release 0.9.0

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-1mdk
- rediff the patch
- New release 0.8.1

* Thu Oct 06 2005 Götz Waschk <waschk@mandriva.org> 0.8-1mdk
- New release 0.8

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.7.9-3mdk
- Rebuild for libglitz
- mkrel

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.9-2mdk
- Rebuild for libldap2.3

* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 0.7.9-1mdk
- update file list
- New release 0.7.9

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.7.8-1mdk
- add new nautilus extension
- drop bonobo parts
- New release 0.7.8

* Fri Apr 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.7-1mdk
- update file list
- fix build
- New release 0.7.7

* Tue Feb 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-2mdk
- fix buildrequires

* Sun Feb 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- update menu entry
- update file list
- rediff the patch
- New release 0.7.6

* Wed Nov  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- add library package
- New release 0.7.5

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- fix buildrequires

* Wed Oct 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- add gedit plugin and shared mime database package
- patch to fix installation
- requires new gpgme
- drop merged patch
- source URL
- New release 0.7.4

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.3-9mdk
- Fix menu

* Mon Apr 26 2004 Charles A Edwards <eslrahc@mandrake.org> 0.7.3-8mdk
- fix unneeded require by rm requires for gpgme 
- BuildRequires

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.3-7mdk
- Patch0 : fix icon path (Mdk bug #7286)

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-6mdk
- rebuild for dependencies

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-5mdk
- Add scrollkeeper dep

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-4mdk
- Fix icon

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-3mdk
- Rebuild against latest ORBit2

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-1mdk
- Release 0.7.3

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- Release 0.7.2

* Tue Mar 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Feb 10 2003 Matthias Debus <psic4t@netbands.de> 0.7.0-1mdk
- new version

* Sat Feb 01 2003 Matthias Debus <psic4t@netbands.de> 0.6.1-1mdk
- new version

* Fri Jan 24 2003 Matthias Debus <psic4t@netbands.de> 0.6.0-2mdk
- update name
- obsoletes seahorse2

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Wed Jan 15 2003 Matthias Debus <psic4t@netbands.de> 0.4.4-1mdk
- First release of seahorse2
- BuildRequires
- Obsoletes seahorse

* Sat Jan 26 2002 Frdric Crozat <fcrozat@mandrakesoft.com> 0.5.0-4mdk
- Clean specfile
- Add locales

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0-3mdk
- Fix menu entry
- Add missing files

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk  
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
